CVE-2017-7777

NameCVE-2017-7777
DescriptionUse of uninitialized memory in Graphite2 library in Firefox before 54 in graphite2::GlyphCache::Loader::read_glyph function.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1007-1, DLA-1013-1, DLA-991-1, DSA-3881-1, DSA-3894-1, DSA-3918-1
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid68.0.1-2fixed
firefox-esr (PTS)jessie52.8.1esr-1~deb8u1fixed
jessie (security)60.7.1esr-1~deb8u1fixed
stretch60.6.1esr-1~deb9u1fixed
stretch (security)60.8.0esr-1~deb9u1fixed
buster60.7.2esr-1fixed
buster (security)60.8.0esr-1~deb10u1fixed
bullseye, sid60.8.0esr-1fixed
graphite2 (PTS)jessie (security), jessie1.3.10-1~deb8u1fixed
stretch1.3.10-1fixed
bullseye, sid, buster1.3.13-7fixed
icedove (PTS)jessie1:52.3.0-4~deb8u2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)54.0-1medium
firefox-esrsource(unstable)52.2.0esr-1medium
firefox-esrsourcejessie52.2.0esr-1~deb8u1mediumDSA-3881-1
firefox-esrsourcestretch52.2.0esr-1~deb9u1mediumDSA-3881-1
firefox-esrsourcewheezy52.2.0esr-1~deb7u1mediumDLA-991-1
graphite2source(unstable)1.3.10-1medium
graphite2sourcejessie1.3.10-1~deb8u1mediumDSA-3894-1
graphite2sourcewheezy1.3.10-1~deb7u1mediumDLA-1013-1
icedovesource(unstable)1:52.2.0-1medium
icedovesourcejessie1:52.2.1-4~deb8u1mediumDSA-3918-1
icedovesourcestretch1:52.2.1-4~deb9u1mediumDSA-3918-1
icedovesourcewheezy1:52.2.1-1~deb7u1mediumDLA-1007-1

Notes

https://bugzilla.mozilla.org/show_bug.cgi?id=1349310
https://bugzilla.mozilla.org/show_bug.cgi?id=1358551

Search for package or bug name: Reporting problems